<?php

namespace domain\Ticket\TicketMessage;

use domain\_\AbstractModule;

class TicketMessageModule extends AbstractModule
{
    public function getServices(): array
    {
        return [
            TicketMessageDefinition::class,
            TicketMessageRepository::class,
            TicketMessageBuilder::class
        ];
    }

    public function getDefinition(): TicketMessageDefinition
    {
        return TicketMessageDefinition::getInstance();
    }

    public function getRepository(): TicketMessageRepository
    {
        return TicketMessageRepository::getInstance();
    }

    public function getBuilder(): TicketMessageBuilder
    {
        return TicketMessageBuilder::getInstance();
    }
}